UomoCapra

Kerbal Space Program 1.4.2 is live!

Recommended Posts

Im not going to be playing KSP until 1.4.3, or whenever the drag problems are fixed. This is embarrassing. With all this time between patches you assume they would playtest the game...

  • Like 4

Share this post


Link to post
Share on other sites

Join the club.  First time since 0.23 that I've felt the need to let the game get fixed before I invest any time in it.  Not what I was expecting for my $15.

  • Like 2

Share this post


Link to post
Share on other sites
2 hours ago, Not Sure said:

Im not going to be playing KSP until 1.4.3, or whenever the drag problems are fixed. This is embarrassing. With all this time between patches you assume they would playtest the game...

I completely agree
1.2 everything works, every mod
1.4 game with mods is constantly crashing, dozens of errors, the game ceases to be playable.
It's a terrible shame that the game is not yet implemented system that is in the KIS and KAS modes and the life support system

  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)
2 hours ago, Zxy44 said:

I completely agree
1.2 everything works, every mod
1.4 game with mods is constantly crashing, dozens of errors, the game ceases to be playable.
It's a terrible shame that the game is not yet implemented system that is in the KIS and KAS modes and the life support system

I don't. :-) I hate every new bug as everybody else (some of them, deeply - even more when they came back from the death, I mean, closed/fixed status). =D

At the 1.2 times everything works because almost everything was being written/rewritten for the 1.2 version. Just like that.

( I also acknowledge that the somewhat dramatic events that happened at that very time surely caused a lot of trouble - but this is another discussion for other time, elsewhere).

When 1.3.1 came out, a lot of things broke because a lot of things changed. And this didn't prevent people to keep writing/maintaining/porting mods to it. It appears to me that 1.3.1 is, currently, the richest environment for mod enthusiasts. At least, for while.

On 1.4, they changed the Unity version. Dude, let me tell you, this is a *huge* change - not always with desirable side effects. Unity lacks consistency even on releasing the *very same version* of the runtime for different platforms, how much between major releases. FXGroups changed, and so *A LOT* os mods that relies on it needs to have some parts rewritten. But the mod's developers and maintainers have a day job, so this will took some time. It's almost 8 years since the first KSP version, and about 4 since 1.2 - some people just moved on, others grew and now have less time to play with these things and a lot of guys just dropped by on parachutes and just don't know what to do yet.

KSP is almost as complex as a vintage operating system. If you were a developer on the Win95 times as I was, you would had faced things *a lot* worse - damn, MS took 10 years to fix some serious and stupid bugs on MFC (and when they finally did, they broke everybody as we had workarounded the stupid mis-feature, and when the thing started to work as specified, we had to workaround the workaround).

I agree that 1.4 was released some months before it should, but mainly due a lot of small mishaps on the code (and some regressions) that were published without being addressed first. Serious bugs, crashes et all I'm getting with different mods iterating with themselves - by removing one of the mods or creating specialized installments with just what I need in the moment, things works again.

Or almost. =P 

About the KIS/KAS/et all features... I would have some reserves on spending human resources duplicating features that are already provided by the community (besides not tightly integrated) than... enhancing the game engine and fixing the bugs. At the present time, I think they have some other problems to solve (as keeping the game attractive to new, paying customers!)

Edited by Lisias
bad grammar. (and deleted a quoted phrase by accident)
  • Like 4

Share this post


Link to post
Share on other sites
8 hours ago, klesh said:

Join the club.  First time since 0.23 that I've felt the need to let the game get fixed before I invest any time in it.  Not what I was expecting for my $15.

Its the first time for me  as well.It feels really bad especially since we just got the new stuff to play with.

  • Like 3

Share this post


Link to post
Share on other sites
15 hours ago, Not Sure said:

Im not going to be playing KSP until 1.4.3, or whenever the drag problems are fixed. This is embarrassing. With all this time between patches you assume they would playtest the game...

I'm in the same boat but going by the bug tracker I'm hoping it won't be too long

Share this post


Link to post
Share on other sites

1.4.3 was just announced for next week release

  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)

The parachutes are amazing, definitely appreciated and thumbs up to all involved!

Edited by Castille7
  • Like 2

Share this post


Link to post
Share on other sites
On 4/12/2018 at 3:05 AM, Lisias said:

4 since 1.2

No.... way shorter than that. I started playing in 2015 (note: less than 4 years ago) and the 1.2 update, googling quickly, came out October of 2016. So its more like 1.5 years since 1.2

  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)
On 12.4.2018 at 7:26 AM, Zxy44 said:

I completely agree
1.2 everything works, every mod
1.4 game with mods is constantly crashing, dozens of errors, the game ceases to be playable.
It's a terrible shame that the game is not yet implemented system that is in the KIS and KAS modes and the life support system

FWIW for me at least, both 1.3.1 as well as 1.4.2 run quite stable. I have not had any CTDs yet. The bugs remain tho.

So yeah, to be fair, while bugged to a point, where I sometimes give up frustratedly because e.g. I have to find  the next rocket plume or so, I wouldn't go so far as to say it is unplayable.

Edited by StarStreak2109
Typo

Share this post


Link to post
Share on other sites

@Zxy44  Not sure what is going on for you, but I can tell you that I'm running Windows 10 with KSP 1.4.2 + MH with 84 mods and the game is perfectly stable.

  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)
On 4/15/2018 at 10:39 PM, qzgy said:

No.... way shorter than that. I started playing in 2015 (note: less than 4 years ago) and the 1.2 update, googling quickly, came out October of 2016. So its more like 1.5 years since 1.2

I stand corrected. Thanks!

Edited by Lisias
  • Like 1

Share this post


Link to post
Share on other sites
Posted (edited)
On 4/16/2018 at 9:54 AM, Skystorm said:

@Zxy44  Not sure what is going on for you, but I can tell you that I'm running Windows 10 with KSP 1.4.2 + MH with 84 mods and the game is perfectly stable.

Does "perfectly stable" involve landing legs that explode in contact, fairings that actually add drag rather then help reduce it etc? :D

It's misleading for anyone to act like 1.4.2 is a good version in any way shape or form.  It's easily the worst version in a very long time.

 

I love this game and have a lot of respect for Squad as game development this old isn't always easy.  But we as a consumer base need to stop pretending it's ok for any company to take your money while giving you an incomplete product.

I'm not mad or bitter, nothing like that.  It's just I notice the change in how consumers seem to be treated in 2018 and how, for some ridiculous reason, the burden seems to fall on consumers rather then the companies taking our money. 

Edited by Nataris

Share this post


Link to post
Share on other sites
6 minutes ago, Nataris said:

Does "perfectly stable" involve landing legs that explode in contact, fairings that actually add drag rather then help reduce it etc?

He was responding to this:

On 4/12/2018 at 5:26 AM, Zxy44 said:

I completely agree
1.2 everything works, every mod
1.4 game with mods is constantly crashing, dozens of errors, the game ceases to be playable.

Which is a comment about the game crashing. Usually, "stable" refers to how often a piece of software crashes. So yes, a version which doesn't crash but which has several serious non-crash bugs can be called "stable". And saying that doesn't excuse the serious bugs (or "pretend it's ok"), it's just an assessment of how often it crashes.

Share this post


Link to post
Share on other sites

@Nataris  @HebaruSan hit the nail on the head.  The game is perfectly stable but it is not without bugs, and yes it does have exploding landing legs.  However, the 5m fairing sizing issue is one I've been posting module manager patches to fix, and I have a patch for the landing legs as well though I haven't posted it on the forums.

I'm playing 6.4x scale and the fairing drag seems close enough to normal to not make a noticeable difference to me. Frankly, if someone hadn't mentioned the fairing drag issue I wouldn't have even realized there was a problem.

I'm not excusing the bugs but frankly I think in many cases people are making much ado about nothing.  This was a major update, both in terms of the unity upgrade and Making History, and I think in part because it was a paid release they felt they couldn't really do their usual prerelease phase.  I do however think that is why Squad released 1.4 a week before Making History as a quasi-prerelease and then 1.4.1 to fix those when Making History went live.

That being said, it has not gone unnoticed that several of those bugs should have been easily detected with some simple regression tests.

  • Like 1

Share this post


Link to post
Share on other sites

Hi UomoCapra, will you notify the development team to release a patch for the crash error on high sierra 10.13.4 in the next update? Thanks a lot...

Share this post


Link to post
Share on other sites
On 4/18/2018 at 7:36 AM, Bishnu Gupta said:

Hi UomoCapra, will you notify the development team to release a patch for the crash error on high sierra 10.13.4 in the next update? Thanks a lot...

If we are still talking about 1.4.2, it works on MacOS Sierra 10.12.6 perfectly. Oh, dear... This is not going to end well for me... =/

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now